Bug 186890 - dns/bind99: building BIND without XML option breaks named-checkconf
Summary: dns/bind99: building BIND without XML option breaks named-checkconf
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-19 11:20 UTC by Jason Mann
Modified: 2014-03-06 17:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mann 2014-02-19 11:20:00 UTC
I needed to install a minimal dns/bind99 port inside a jail.  I deselected all port options except for IPV6 and THREADS.  The port built and installed successfully.

Upon attempting to start named, the following error occurred:

# service named start                                                                                                                 
/var/run/named
Shared object "libxml2.so.5" not found, required by "named-checkconf"
/usr/local/etc/rc.d/named: ERROR: named-checkconf for $named_conf failed


It appears that the rc script runs named-checkconf to perform a configuration syntax check before starting named, and named-checkconf binary depends on libXML.  If libXML isn't installed, named-checkconf fails to run and the rc script does not start named.

The description text for the XML port option only says that it is required for XML statistics output, which suggests it is safe to disable if you don't need these.

Fix: 

Make libXML a non-optional dependancy
How-To-Repeat: - Install the dns/bind99 port with XML option disabled
- Attempt to start named using the 'service' command or the rc script, or execute /usr/local/sbin/named-checkconf directly.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-22 02:58:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-06 17:32:03 UTC
Author: mat
Date: Thu Mar  6 17:31:55 2014
New Revision: 347284
URL: http://svnweb.freebsd.org/changeset/ports/347284
QAT: https://qat.redports.org/buildarchive/r347284/

Log:
  Always depend on libxml[1]
  Add XML newstats support to bind99[2]
  
  PR:		186890[1], 186791[2]
  Submitted by:	Jason Mann[1], Matthew Seaman[2]
  Sponsored by:	Absolight

Modified:
  head/dns/bind98/Makefile
  head/dns/bind99/Makefile

Modified: head/dns/bind98/Makefile
==============================================================================
--- head/dns/bind98/Makefile	Thu Mar  6 17:30:00 2014	(r347283)
+++ head/dns/bind98/Makefile	Thu Mar  6 17:31:55 2014	(r347284)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bind
 PORTVERSION=	9.8.7
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	dns net ipv6
 MASTER_SITES=	${MASTER_SITE_ISC}
 MASTER_SITE_SUBDIR=	bind9/${ISCVERSION}
@@ -19,16 +19,19 @@ ISCVERSION=	9.8.7
 
 MAKE_JOBS_UNSAFE=	yes
 
+LIB_DEPENDS=	libxml2.so:${PORTSDIR}/textproc/libxml2
+
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--localstatedir=/var --disable-linux-caps \
 		--disable-symtable \
+		--with-libxml2=${LOCALBASE} \
 		--with-randomdev=/dev/random
 ETCDIR=		${PREFIX}/etc/namedb
 
 CONFLICTS=	bind9*-9.[45679].* bind9*-sdb-9.[45679].* bind-tools-9.*
 
-OPTIONS_DEFAULT=	IPV6 SSL XML THREADS GSSAPI
-OPTIONS_DEFINE=		SSL LINKS XML IDN REPLACE_BASE LARGE_FILE \
+OPTIONS_DEFAULT=	IPV6 SSL THREADS GSSAPI
+OPTIONS_DEFINE=		SSL LINKS IDN REPLACE_BASE LARGE_FILE \
 			FIXED_RRSET RPZ_NSIP RPZ_NSDNAME RPZRRL_PATCH \
 			SIGCHASE IPV6 THREADS GSSAPI FILTER_AAAA DOCS
 OPTIONS_GROUP=		DLZ
@@ -37,7 +40,6 @@ OPTIONS_GROUP_DLZ=	DLZ_POSTGRESQL DLZ_MY
 
 SSL_DESC=		Build with OpenSSL (Required for DNSSEC)
 LINKS_DESC=		Create conf file symlinks in ${PREFIX}
-XML_DESC=		Support for xml statistics output
 REPLACE_BASE_DESC=	Replace base BIND (FreeBSD 9.x and earlier)
 LARGE_FILE_DESC=	64-bit file support
 SIGCHASE_DESC=		dig/host/nslookup will do DNSSEC validation
@@ -58,10 +60,6 @@ SSL_CONFIGURE_ON=	--with-openssl=${OPENS
 SSL_USE=	openssl=yes
 SSL_CONFIGURE_OFF=	--disable-openssl-version-check --without-openssl
 
-XML_CONFIGURE_ON=	--with-libxml2=${LOCALBASE}
-XML_CONFIGURE_OFF=	--without-libxml2
-XML_LIB_DEPENDS=	libxml2.so:${PORTSDIR}/textproc/libxml2
-
 IDN_USES=		iconv
 IDN_CONFIGURE_ON=	--with-idn=${LOCALBASE} ${ICONV_CONFIGURE_BASE}
 IDN_CONFIGURE_OFF=	--without-idn

Modified: head/dns/bind99/Makefile
==============================================================================
--- head/dns/bind99/Makefile	Thu Mar  6 17:30:00 2014	(r347283)
+++ head/dns/bind99/Makefile	Thu Mar  6 17:31:55 2014	(r347284)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bind
 PORTVERSION=	9.9.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	dns net ipv6
 MASTER_SITES=	${MASTER_SITE_ISC}
 MASTER_SITE_SUBDIR=	bind9/${ISCVERSION}
@@ -19,20 +19,23 @@ ISCVERSION=	9.9.5
 
 MAKE_JOBS_UNSAFE=	yes
 
+LIB_DEPENDS=	libxml2.so:${PORTSDIR}/textproc/libxml2
+
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--localstatedir=/var --disable-linux-caps \
 		--disable-symtable \
 		--with-randomdev=/dev/random \
+		--with-libxml2=${LOCALBASE} \
 		--without-python
 ETCDIR=		${PREFIX}/etc/namedb
 
 CONFLICTS=	bind9*-9.[45678].* bind9*-sdb-9.[45678].* bind-tools-9.*
 
-OPTIONS_DEFAULT=	IPV6 SSL XML THREADS GSSAPI
+OPTIONS_DEFAULT=	IPV6 SSL THREADS GSSAPI
 OPTIONS_DEFINE=		SSL IDN REPLACE_BASE LARGE_FILE \
 			FIXED_RRSET SIGCHASE IPV6 THREADS GSSAPI FILTER_AAAA
 .if !defined(BIND_TOOLS_SLAVE)
-OPTIONS_DEFINE+=	LINKS XML RPZ_NSIP RPZ_NSDNAME RRL DOCS RPZ_PATCH
+OPTIONS_DEFINE+=	LINKS RPZ_NSIP RPZ_NSDNAME RRL DOCS RPZ_PATCH NEWSTATS
 OPTIONS_GROUP=		DLZ
 OPTIONS_GROUP_DLZ=	DLZ_POSTGRESQL DLZ_MYSQL DLZ_BDB \
 			DLZ_LDAP DLZ_FILESYSTEM DLZ_STUB
@@ -46,7 +49,7 @@ SIGCHASE_DESC=		dig/host/nslookup will d
 FILTER_AAAA_DESC=	Enable filtering of AAAA records
 
 LINKS_DESC=		Create conf file symlinks in ${PREFIX}
-XML_DESC=		Support for xml statistics output
+NEWSTATS_DESC=		Enable alternate xml statistics channel format
 RPZ_NSIP_DESC=		Enable RPZ NSIP trigger rules
 RPZ_NSDNAME_DESC=	Enable RPZ NSDNAME policy records
 RPZ_PATCH_DESC=		RPZ improvements
@@ -67,9 +70,7 @@ SSL_CONFIGURE_ON=	--with-openssl=${OPENS
 SSL_USE=		openssl=yes
 SSL_CONFIGURE_OFF=	--disable-openssl-version-check --without-openssl
 
-XML_CONFIGURE_ON=	--with-libxml2=${LOCALBASE}
-XML_LIB_DEPENDS=	libxml2.so:${PORTSDIR}/textproc/libxml2
-XML_CONFIGURE_OFF=	--without-libxml2
+NEWSTATS_CONFIGURE_ENABLE=     newstats
 
 IDN_USES=		iconv
 IDN_CONFIGURE_ON=	--with-idn=${LOCALBASE} ${ICONV_CONFIGURE_BASE}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Mathieu Arnold freebsd_committer 2014-03-06 17:32:20 UTC
State Changed
From-To: open->closed

Fixed in r347284.